View Issue Details

IDProjectCategoryView StatusLast Update
0026567mantisbtcode cleanuppublic2020-03-15 15:23
Reporteratrol Assigned Toatrol  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Target Version2.24.0Fixed in Version2.24.0 
Summary0026567: Code Cleanup
Description
  • Use always auth_anonymous_account() to get name of anonymous account
  • Remove unused global variable declarations
  • Remove unused function parameter
  • Remove unused local variables
  • Remove unnecessary semicolons
  • PHPDoc fixes
  • Use config_get_global for options dot_tool and neato_tool
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master c59863c3

2020-01-02 13:44:23

atrol

Details Diff
Use config_get_global for options dot_tool and neato_tool

Since fix of 0026091 dot_tool and neato_tool can no longer be set in database.
config_get_global is now used instead of config_get like it's done for
other options lisetd in $g_global_settings

Issue 0026567
Affected Issues
0026567
mod - core/relationship_graph_api.php Diff File
mod - workflow_graph_img.php Diff File

MantisBT: master 778816b5

2020-01-02 14:59:48

atrol

Details Diff
PHPDoc fixes

Issue 0026567
Affected Issues
0026567
mod - core/history_api.php Diff File
mod - core/project_api.php Diff File
mod - core/user_api.php Diff File
mod - core/version_api.php Diff File
mod - plugins/MantisGraph/core/graph_api.php Diff File

MantisBT: master edf65818

2020-01-03 13:51:10

atrol

Details Diff
Remove unnecessary semicolons

Issue 0026567
Affected Issues
0026567
mod - api/rest/restcore/internal_rest.php Diff File
mod - core/custom_function_api.php Diff File
mod - core/email_queue_api.php Diff File
mod - signup_page.php Diff File

MantisBT: master a6b919bd

2020-01-03 15:26:42

atrol

Details Diff
Remove unused local variables

Issue 0026567
Affected Issues
0026567
mod - api/soap/mc_issue_api.php Diff File
mod - bug_view_inc.php Diff File
mod - core/columns_api.php Diff File
mod - core/filter_api.php Diff File
mod - core/plugin_api.php Diff File
mod - core/print_api.php Diff File
mod - core/project_api.php Diff File
mod - core/tag_api.php Diff File
mod - plugins/MantisGraph/core/graph_api.php Diff File

MantisBT: master 855c0d15

2020-01-03 16:15:35

atrol

Details Diff
Remove unused function parameter

Issue 0026567
Affected Issues
0026567
mod - core/collapse_api.php Diff File

MantisBT: master e153b89e

2020-01-05 07:19:18

atrol

Details Diff
Remove unused global variable declarations

Issue 0026567
Affected Issues
0026567
mod - core/version_api.php Diff File

MantisBT: master 49f84025

2020-01-05 07:49:21

atrol

Details Diff
Use always auth_anonymous_account() to get name of anonymous account

Issue 0026567
Affected Issues
0026567
mod - login_anon.php Diff File

Issue History

Date Modified Username Field Change
2020-01-03 18:32 atrol New Issue
2020-01-03 18:32 atrol Status new => assigned
2020-01-03 18:32 atrol Assigned To => atrol
2020-01-03 18:39 atrol Note Added: 0063368
2020-01-05 07:22 atrol Description Updated View Revisions
2020-01-05 07:51 atrol Description Updated View Revisions
2020-01-09 11:01 atrol Changeset attached => MantisBT master c59863c3
2020-01-09 11:01 atrol Changeset attached => MantisBT master 778816b5
2020-01-09 11:01 atrol Changeset attached => MantisBT master edf65818
2020-01-09 11:01 atrol Changeset attached => MantisBT master a6b919bd
2020-01-09 11:01 atrol Changeset attached => MantisBT master 855c0d15
2020-01-09 11:01 atrol Changeset attached => MantisBT master e153b89e
2020-01-09 11:01 atrol Changeset attached => MantisBT master 49f84025
2020-01-09 11:04 atrol Status assigned => resolved
2020-01-09 11:04 atrol Resolution open => fixed
2020-01-09 11:04 atrol Fixed in Version => 2.24.0
2020-03-15 15:23 vboctor Status resolved => closed